using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// BasePage 的摘要说明
/// </summary>
public partial class BasePage
{
    
    private string _xmlLink = null;
    private string _shuaWZ = null;
    private string _queryTopCache = null;
    private string _pingbKey = null;
    /// <summary>
    /// 留言板屏蔽字符
    /// </summary>
    public string PingbKey
    {
        get 
        {
            if (GetConfigurationManager("PingbKey") != null)
                return GetConfigurationManager("PingbKey").ToString();
            return null;
        }
    }
    public string QueryTopCache
    {
        get 
        {
            if (GetConfigurationManager("QueryTop") != null)
                return GetConfigurationManager("QueryTop").ToString();
            return null;
        }
    }
    /// <summary>
    /// 友情连接 xmlLink.xml
    /// </summary>
    public string XmlLink
    {
        get 
        {
            if (GetConfigurationManager("xmlLink") != null)
                return GetConfigurationManager("xmlLink").ToString();
            return null;
        }
    }

    /// <summary>
    /// shuaWZ.xml
    /// </summary>
    public string ShuaWZ
    {
        get 
        {
            if(GetConfigurationManager("shuaWZ")!=null)
                return GetConfigurationManager("shuaWZ").ToString();
            return null;
        }
    }
    public object GetConfigurationManager(string key)
    {
        return ConfigurationManager.AppSettings[key];
    }

    public string IpQueryDat
    {
        get { if (GetConfigurationManager("IpQueryXml") != null)return GetConfigurationManager("IpQueryXml").ToString(); return null; }
    }

    public string NewIpQuery
    {
        get { if (GetConfigurationManager("NewIpQuery") != null)return GetConfigurationManager("NewIpQuery").ToString(); return null; }
    }
    public string NewQuery
    {
        get { if (GetConfigurationManager("NewQuery") != null)return GetConfigurationManager("NewQuery").ToString(); return null; }
    }
}




